# botje/plugs/day.py
#
#

""" day plugin. """ 

## IMPORTS

from bot import kernel

## day command

def do_day(event):
    objs = []
    for o in event.objects():
        if not o.timed: continue
        if event.rest not in o.timed.split()[0]: continue
        objs.append(o)
    for obj in sorted(objs, key=lambda x: x.timed): event.reply(obj.make_json())

kernel.register("day", do_day)
